#pragma once

#include "classicactions.h"
#include "spritecontainer.h"
#include "classicspritefactory.h"

#include <SFML/Graphics/RenderTarget.hpp>

class ClassicSprite;
class ClassicNote;

class ClassicGraphicsManager
{
public:
    explicit ClassicGraphicsManager(sf::RenderTarget& target);

    void initGraphics(ClassicNote* note);
    void resetGraphics(ClassicNote* note);
    void draw(const ClassicNote *note);

private:
    SpriteContainer<Type, ClassicSpriteFactory, ClassicSprite> _sprite_container;
    sf::RenderTarget& _render_target;
};
